Create Time Report
curl --request POST \
--url https://api.twine.se/v1/org/time-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"end_date": "2021-06-01",
"source_external_time_type_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b, VACATION, etc",
"start_date": "2021-06-01",
"child_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"child_name": "John",
"comment": "Worked on project X",
"extent": 0.5,
"from_time": "08:00",
"minutes": [
480,
480
],
"to_time": "17:00"
},
"job_options": {
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"queue_job": true,
"schedule_in": 120
}
}
'import requests
url = "https://api.twine.se/v1/org/time-reports"
payload = {
"data": {
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"end_date": "2021-06-01",
"source_external_time_type_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b, VACATION, etc",
"start_date": "2021-06-01",
"child_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"child_name": "John",
"comment": "Worked on project X",
"extent": 0.5,
"from_time": "08:00",
"minutes": [480, 480],
"to_time": "17:00"
},
"job_options": {
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"queue_job": True,
"schedule_in": 120
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
employee_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
end_date: '2021-06-01',
source_external_time_type_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b, VACATION, etc',
start_date: '2021-06-01',
child_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
child_name: 'John',
comment: 'Worked on project X',
extent: 0.5,
from_time: '08:00',
minutes: [480, 480],
to_time: '17:00'
},
job_options: {
domain_mapping_id: '018eae56-8f9d-7ca0-bea3-17f3db6cf75b',
queue_job: true,
schedule_in: 120
}
})
};
fetch('https://api.twine.se/v1/org/time-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"end_date": "2021-06-01",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2023-11-07T05:31:56Z",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"source_external_time_type_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b, VACATION, etc",
"source_system_slug": "twine",
"start_date": "2021-06-01",
"child_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"child_name": "John",
"comment": "Worked on project X",
"extent": 0.5,
"from_time": "08:00",
"minutes": [
480,
480
],
"time_report_request_status": "unknown",
"time_type_id": "<string>",
"to_time": "17:00"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Time Reports
Create Time Report
Create a new Time Report
POST
/
v1
/
org
/
time-reports
Create Time Report
Authorizations
Bearer token for authentication
Body
application/json
Time Report Upsert Request
Response
Response
A Time report response
Time report
Show child attributes
Show child attributes
⌘I